
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "ormdev/version"
require "ormdev/support_info"
require 'date'

Gem::Specification.new do |spec|
  spec.name          = 'ormdev'
  spec.version       = OrmDev::VERSION
  spec.date          = Date.today
  spec.authors       = ['devorm']
  spec.email         = ['devorm@163.com']

  spec.summary       = %q{Hybrid App（混合模式移动应用）核心打包工具.技术支持：devorm@163.com..}
  spec.description   = %q{Hybrid App，混合模式移动应用，兼具“Native App良好用户交互体验的优势”和“Web App跨平台开发的优势”。 }
  spec.homepage      = 'https://gitee.com/mvn/ormdev'
  spec.license       = 'MIT'
  spec.post_install_message = OrmDev::SUPPORT_INFO

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  #
  #   spec.metadata["homepage_uri"] = spec.homepage
  #   spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
  #   spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  # spec.bindir        = "exe"
  spec.bindir        = 'bin'
  # spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.executables   = ['ormdev']
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'claide', '~> 1.0', '>= 1.0.2'
  spec.add_runtime_dependency 'cocoapods', '~> 1.5', '>= 1.5.3'
  spec.add_runtime_dependency 'rubyzip', '~> 1.2', '>= 1.2.2'
  spec.add_runtime_dependency 'colored2', '~> 3.1', '>= 3.1.2'
  # spec.add_runtime_dependency 'faraday', '~> 0.15.4'
  spec.add_runtime_dependency 'faraday_middleware', '~> 0.12.2'
  spec.add_runtime_dependency 'cocoapods-packager', '~> 1.5'
  spec.add_runtime_dependency 'ruby-progressbar', '~> 1.10'

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
